Subject: bug#21417: Subject: 25.0.50; Paragraph movement in Eshell

From: Stefan Kangas <[email-masked]>
Date: Wed, 06 Nov 2019 02:36:34 +0100

Simen Heggestøyl <[email-masked]> writes:

> Moving by paragraph in Eshell doesn't work when there's command output
> containing newlines. Consider the following case:
>
> ~ $ foo
> bar
>
> baz
> ~ $
>
> The user has entered the command "foo", which has put out
> "bar\n\nbaz\n". Point is after the second "$".
>
> Now the user hits `C-c C-p' which runs `eshell-previous-prompt', and
> point ends up at the blank line between "bar" and "baz", instead of
> going back to the previous prompt.
>
> It seems that setting `paragraph-separate' to something else than the
> default "[ ]*$" solves the problem, though I'm uncertain what it
> should be set to.

I'm unable to reproduce this on current master.  I tried:

0. emacs -Q
1. M-x eshell
2. emacs --help
3. C-c C-p

At the last command, point correctly moved to the previous prompt.

Can you reproduce this on Emacs 27 or 26?  If yes, could you please
provide more details on how to reproduce it?

Perhaps there is something in the output of the particular command you
used that confused Eshell?  That's just a wild guess, though.

Best regards,
Stefan Kangas